// Dependências: Nipotech_Event_Handler, find_pos.js, window_size.js

Publitec_thumbs_loaded = false;

function Publitec_load_thumbs()
{
    var has_thumbs = false;
    var divThumbPlus;

    for (var i in document.images)
    {
        if (
            /^imgGaleria[0-9]+$/.test(document.images[i].id) &&
            /\bzoom(?:g|gg|o)\b/.test(document.images[i].className)
        )
        {
            if (Publitec_thumbs_loaded)
                divThumbPlus = document.getElementById("PT-thumb-" + document.images[i].id);
            else
                divThumbPlus = document.createElement("img");

            divThumbPlus.style.left = findPosX(document.images[i]) + "px";
            divThumbPlus.style.top = findPosY(document.images[i]) + "px";

            // se os thumbs já foram carregados anteriormente, apenas
            // reposiciona as imagens de ampliação (acima)
            if (Publitec_thumbs_loaded)
                continue;

            divThumbPlus.src = "https://www.Traders.com.br/pub/nh/zoom_img.gif";
            divThumbPlus.id = "PT-thumb-" + document.images[i].id;
            divThumbPlus.style.position = "absolute";
            divThumbPlus.style.backgroundColor = "#FFF";
            divThumbPlus.style.zIndex = "1";
            divThumbPlus.style.cursor = "pointer";

            divThumbPlus.onclick = function(e){
                var targ;
                if (!e) var e = window.event;

                if (e.target) targ = e.target;
                else if (e.srcElement) targ = e.srcElement;

                var id_img;
                if (/PT-thumb-imgGaleria([0-9]+)$/.test(targ.id))
                    id_img = targ.id.replace(/^PT-thumb-imgGaleria([0-9]+)$/, '$1');
                else if (targ.id == "PT-zoom-img")
                    id_img = targ.__publitec_id_img;
                else
                    return;

                var elmImg = document.getElementById("imgGaleria" + id_img);

                if (!elmImg)
                    return;

                var thumb_size = elmImg.className.replace(/.*\bzoom(g|gg|o)\b.*/, '$1');
                var qs_thumb = "";

                if (thumb_size == "g" || thumb_size == "gg")
                    qs_thumb = "&thumb=" + thumb_size;

                var width = 640;
                var height = 480;
                var x = parseInt((window.screen.width - width) / 2);
                var y = parseInt((window.screen.height - height) / 2);
                window.open(
                    "https://www.Traders.com.br/pub/nh/show_img.php?cd_arquivo=" + id_img + qs_thumb
                    + "&popup=1", "zoomImgGaleria", "toolbar=no,menubar=no,personalbar=no,width=" + width
                    + ",height="+height+",left="+x+",top="+y+",scrollbars=yes,resizable=yes"
                );
            };
            divThumbPlus.onmouseover = function(e) {
                var targ;
                if (!e) var e = window.event;

                if (e.target) targ = e.target;
                else if (e.srcElement) targ = e.srcElement;

                if (!/PT-thumb-imgGaleria([0-9]+)$/.test(targ.id))
                    return;

                var id_img = targ.id.replace(/^PT-thumb-imgGaleria([0-9]+)$/, '$1');
                var eImg = document.getElementById("imgGaleria" + id_img);

                if (/\bthumb[pm]\b/.test(eImg.className))
                {
                    var zi = document.getElementById("PT-zoom-img");

                    zi.onload = function()
                    {
                        var imgX_1 = findPosX(eImg) + 10;
                        var imgX_2 = findPosX(eImg) - this.width - 10;

                        if (imgX_1 + this.width <= windowWidth() + NT_GetScrollX())
                            this.style.left = imgX_1 + "px";
                        else if (imgX_2 >= 0 + NT_GetScrollX())
                            this.style.left = imgX_2 + "px";
                        else
                            this.style.left = NT_GetScrollX() + "px";

                        var imgY_1 = findPosY(eImg) + 10;
                        var imgY_2 = findPosY(eImg) - this.height - 10;

                        if (imgY_1 + this.height <= windowHeight() + NT_GetScrollY())
                            this.style.top = imgY_1 + "px";
                        else if (imgY_2 >= 0 + NT_GetScrollY())
                            this.style.top = imgY_2 + "px";
                        else
                            this.style.top = NT_GetScrollY() + "px";

                        this.style.display = "inline";
                    }

                    zi.onload();
                    zi.__publitec_id_img = id_img;
                    zi.src = "https://www.Traders.com.br/pub/nh/show_img.php?cd_arquivo=" + id_img + "&thumb=g";
                }
            };
            divThumbPlus.onmouseout = function(e) {
                if (!e) var e = window.event;

                var relElm = e.toElement || e.relatedTarget;

                if (relElm && relElm.id != "PT-zoom-img")
                {
                    var eimg = document.getElementById("PT-zoom-img");
                    eimg.style.display = "none";
                    eimg.src = eimg.__publitec_default_src;
                }
            };

            document.body.appendChild(divThumbPlus);

            has_thumbs = true;
        }
    }

    if (has_thumbs)
    {
        var zoomImg = document.createElement("img");
        zoomImg.id = "PT-zoom-img";
        zoomImg.style.zIndex = "2";
        zoomImg.style.cursor = "pointer";
        zoomImg.style.display = "none";
        zoomImg.style.position = "absolute";
        zoomImg.style.backgroundImage = "url(https://www.Traders.com.br/pub/nh/loading.gif)";
        zoomImg.style.backgroundRepeat = "no-repeat";
        zoomImg.__publitec_default_src = "";
        zoomImg.src = zoomImg.__publitec_default_src;
        zoomImg.onmouseout = function() {
            var eimg = document.getElementById("PT-zoom-img");
            eimg.style.display = "none";
            eimg.src = eimg.__publitec_default_src;
        };
        zoomImg.onclick = function(e) { document.getElementById("PT-thumb-imgGaleria" + document.getElementById("PT-zoom-img").__publitec_id_img).onclick(e); }
        document.body.appendChild(zoomImg);
    }
}

Nipotech_Event_Handler.addFunction(function(){setTimeout(Publitec_load_thumbs,500);}, window, "onload");
Nipotech_Event_Handler.addFunction(Publitec_load_thumbs, window, "onresize");

